<?php
/*
 * config.php
 * ------------------------------------------------------------
 * Type:      PHP/MySQL
 * Name:      MyGosuClan
 * Version:   1.04
 * License:   GNU GPL
 * Author:    cagrET (Cezary Tomczak)
 * Homepage:  http://www.gosu.pl/mgc/
 * E-mail:    cagret at gmail.com
 * ------------------------------------------------------------
 */
 
if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

global $cfg;

# -------------
# configuration
# -------------
$cfg['shortnews'] = 10;
$cfg['shortclanwars'] = 10;

$cfg['news'] = 10;
$cfg['news_admin'] = 20;

$cfg['newsarchive'] = 50;

$cfg['max_comment_length'] = 2048; // x chars

$cfg['forum'] = 20;

$cfg['clanwars'] = 50;
$cfg['clanwars_admin'] = 20;

$cfg['users_admin'] = 50;

$cfg['replays'] = 20; //show x replays per page
$cfg['replays_size'] = 200000;
$cfg['replays_ext'] = '.rep';
$cfg['replays_races'] = array(
    'z' => 'Zerg',
    'p' => 'Protoss',
    't' => 'Terran'
);
$cfg['replays_maps'] = array(
    "Lost Temple",
    "Legacy of Char",
    "Jungle Story",
    "Hall of Valhalla",
    "Silent Vortex",
    "Jim Raynor's Memory",
    "Bifrost",
    "Forbidden Zone",
    "Gamea Gowon",
    "Vertigo",
    "The Ragnarok",
    "Other"
);


$cfg['members_size'] = 100000;
$cfg['members_ext'] = array('.jpg', '.jpeg'); //extensions of photos uploaded in members profile by members

$cfg['replays_dir'] = 'uploads/replays/';
$cfg['members_dir'] = 'uploads/members/';

$cfg['templates_dir'] = 'templates/';
$cfg['templates_c_dir'] = '_private/templates_c/';
$cfg['sessiondata_dir'] = '_private/sessiondata/';

$cfg['flags_dir'] = 'images/flags/';

#-- user activation
#-- if set to '0' user is activated automatically
#-- if set to '1' user need to be activated by admin
$cfg['activate_user'] = 0;

$cfg['ftp_dir']  = 'uploads/ftp/';
$cfg['ftp_size'] = 2000000; //maximum size of file - default: ~2MB
$cfg['ftp_ext_na'] = array('.php','.php3','.php4','.php5', '.php6', '.inc', '.py', '.pl', '.asp', '.aspx', '.htaccess', '.rb', '.jsp', '.jspx'); //extensions not allowed

//dont touch
$cfg['date'] = date('Y-m-d H:i:s');

?>
