<?php
/*
 * init/functions.php
 * ------------------------------------------------------------
 * Type:      PHP/MySQL
 * Name:      MyGosuClan
 * Version:   1.04
 * License:   GNU GPL
 * Author:    cagrET (Cezary Tomczak)
 * Homepage:  http://www.gosu.pl/mgc/
 * E-mail:    cagret at gmail.com
 * ------------------------------------------------------------
 */


# ----------------
# common functions
# ----------------

function LogIn()
{
  global $db;

  #-- post vars - form
  $user = post_param('user');
  $pass = post_param('pass');
  $ip = get_ip();

  #-- user
  $db->query("select * from ".prefix."users where user='$user'");
  if($db->num_rows() != 1) return 0;
  $db->next_record();

  #-- pass
  if(strcmp(coded_pass($pass), $db->Record['pass']) != 0) return 0;

  #-- session
  $_SESSION['mgc']['auth']   = $db->Record['auth'];
  $_SESSION['mgc']['rights'] = $db->Record['rights'];
  $_SESSION['mgc']['user']   = $db->Record['user'];
  $_SESSION['mgc']['uid']    = $db->Record['uid'];
  $_SESSION['mgc']['ip']     = get_ip();

  #-- if not active
  if($db->Record['active'] != 1) $_SESSION['mgc']['auth'] = 0;

  #-- if ban
  if($db->Record['ban_time'] > time()) $_SESSION['mgc']['auth'] = 0;

  #-- if ip ban
  if(ip_banned(get_ip())) $_SESSION['mgc']['auth'] = 0;

  #-- last ip - logged
  $db->query("update ".prefix."users set ip='$ip' where uid='{$_SESSION['mgc']['uid']}'");

} //end func

function LogOut()
{
  $_SESSION['mgc']['auth']   = 0;
  $_SESSION['mgc']['rights'] = 0;
  $_SESSION['mgc']['user']   = '';
  $_SESSION['mgc']['uid']    = 0;
  $_SESSION['mgc']['ip']     = get_ip();
} //end func

function ip_banned($ip)
{
  global $db;

  $db->query("select * from ".prefix."ip_banned where ip='$ip'");
  if($db->num_rows() != 0) return 1;
  return 0;
} //end func

function TestUser()
{
  global $db;

  $ip = get_ip();

  #-- if user exists
  $db->query("select * from ".prefix."users where uid='{$_SESSION['mgc']['uid']}'");
  if($db->num_rows() != 1) LogOut();
  $db->next_record();
  $_SESSION['mgc']['auth']   = $db->Record['auth'];
  $_SESSION['mgc']['rights'] = $db->Record['rights'];
  $_SESSION['mgc']['user']   = $db->Record['user'];
  if($db->Record['active'] != 1) $_SESSION['mgc']['auth'] = 0;

  #-- if user's ip banned
  $db->query("select * from ".prefix."ip_banned where ip='$ip'");
  if($db->num_rows() == 1) $_SESSION['mgc']['auth'] = 0;

  #-- user last time
  $db->query("update ".prefix."users set time=unix_timestamp() where uid='{$_SESSION['mgc']['uid']}'");

} //end func

function coded_pass($pass)
{
  return md5($pass);
} //end func

function check_rights($area, $rights)
{
  if (($area & $rights) == $area) return 1;
  else return 0;
} //end func

function edit_post($user, $date)
{
  ReadFromFile($GLOBALS['cfg']['templates_dir'].'posts_edit/edit_post.tpl', $text);
  $text = str_replace("\\r\\n", "\r\n", $text);
  return sprintf($text, $user, $date);
} //end func

function undo_edit_post($text2)
{
  ReadFromFile($GLOBALS['cfg']['templates_dir'].'posts_edit/undo_edit_post.tpl', $text);
  $text = str_replace("\\r\\n", "\r\n", $text);
  $text2 = explode($text, $text2);
  return $text2[0];
} //end func

# -------------------------------------------------------------------------------------
#                                  common class
# -------------------------------------------------------------------------------------

class common {
 var $db;
 var $smarty;

 function common($db, $smarty)
 {
   $this->db = &$db;
   $this->smarty = &$smarty;

 } //end func

 function shortnews()
 {
   $this->db->query("select nid,title,date,posts from ".prefix."news order by nid desc limit {$GLOBALS['cfg']['shortnews']}");
   $rows = array();
   while($this->db->next_record()) {
     $rows[] = $this->db->Record;
   }
   return $rows;

 } //end func

} //end class


?>
