<?php
/**
* init.Smarty.php
* ------------------------------------------------------------
* Package:   MyGosuClan
* Version:   1.04
* License:   GNU GPL
* Author:    cagrET (Cezary Tomczak)
* Email:     cagret at gmail.com
* Homepage:  http://www.gosu.pl/mgc/
* ------------------------------------------------------------
*/

if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

# ----------------------
# smarty template engine
# ----------------------
define('SMARTY_DIR','init/Smarty/');
require(SMARTY_DIR.'Smarty.class.php');

$smarty = new Smarty;
$smarty->template_dir  = $cfg['templates_dir'];
$smarty->compile_dir   = $cfg['templates_c_dir'];
$smarty->compile_check = 1;

$smarty->debug_tpl = 'debug.tpl';

$smarty->use_sub_dirs = false;

$smarty->assign_by_ref('session', $_SESSION['mgc']);
$smarty->assign_by_ref('auth',    $auth);
$smarty->assign_by_ref('rights',  $rights);
$smarty->assign_by_ref('access',  $access);

$smarty->assign_by_ref('_GET',     $_GET);
$smarty->assign_by_ref('_POST',    $_POST);
$smarty->assign_by_ref('_REQUEST', $_REQUEST);

$smarty->assign('PHP_SELF', basename($_SERVER['PHP_SELF']));

$smarty->assign('sub', $sub);

?>
