<?php
/**********************
 * mysql_dump.lib.php *
 **********************/

# Copyright:
#
# You may use freely this script, class or functions.
# I hope you'll respect the author's intellectual property by
# --- keeping this notice in your source
# --- setting a link to the author of these PHP scripts:
# --- dropping a note to the author:
#
# Author:    cagrET <cagret at gmail.com>
# Homepage:  http://www.gosu.pl/mgc/

# $dump = new dump($sql, 'database_name');
# $dump->dump(prefix='') - sending file with data and structure (if prefix set, only tables with that prefix)
# $dump->execute(file) - execute the sql file

class mysql_dump
{
 var $sql;
 var $db;
 var $prefix;

 var $tables;
 
 function mysql_dump($sql, $db)
 # @param: $sql - mysql_connect() resource
 # @param: $db - database name
 {
   $this->sql = &$sql;
   $this->db = $db;
 } //end func
 
 function execute($file)
 {
   # execute .sql file
   set_time_limit(0);

   $fp = fopen($file, 'r');
   flock($fp, 1);
   $text = trim(fread($fp, filesize($file)));
   flock($fp, 3);
   fclose($fp);
   
   $text = preg_split("#;(\r\n|\n|\r)#", $text);

   $x = 0;
   
   foreach($text as $key=>$value) {
     $result = @mysql_query($value.';', $this->sql);
     if(!$result) {
       echo 'QUERY: '. $value .';<br><br>';
       echo mysql_error(). ' ('. mysql_errno() .')<br><br>';
       exit('SESSION HALTED');
     }
     $x++;
   }
   
   echo '<b>'. $x .'</b> queries executed';
   
 } //end func
 
 function dump_db()
 {
   $this->tables = $this->get_tables();
   foreach($this->tables as $key=>$value)
   {
     $this->dump_structure($value);
     $this->dump_data($value);
   }
 } //end func
 
 function get_tables()
 {
   $len = strlen($this->prefix);
   $result = mysql_list_tables($this->db);
   $num = mysql_num_rows($result);
   $i = 0;
   for ($i = 0; $i < $num; $i++) {
     $tablename = mysql_tablename($result, $i);
     if( ($len > 0 && substr($tablename, 0, $len) == $this->prefix) || $len == 0 ) $tables[$i] = $tablename;
   }
   return $tables;
 } //end func
 
 function dump_data($table)
 {
   $query = "select * from {$table}";
   $result = mysql_query($query, $this->sql);
   while($row = mysql_fetch_object($result))
   {
     echo 'insert into `'.$table.'` values(';
     $x = 0;
     foreach($row as $key=>$value)
     {
       if($x == 1) echo ', ';
       else $x = 1;
       if(is_numeric($value)) echo $value;
       else echo '\''. $this->check($value) .'\'';
     }
     echo ");\r\n";
   }
   echo "\r\n";

 } //end func
 
 function dump_structure($table)
 {
   $query = "show create table `$table`";
   $result = mysql_query($query, $this->sql);
   $row = mysql_fetch_array($result);
   echo $row[1].';';
   echo "\r\n\r\n";
 } //end func
 
 function check($text)
 {
   $text = addslashes($text);
   $search = array("\r", "\n", "\t");
   $replace = array('\r', '\n', '\t');
   return str_replace($search, $replace, $text);
 } //end func
 
 function dump($prefix = '')
 {
   $this->prefix = $prefix;
   
   set_time_limit(0);

   header("Cache-control: private");
   header("Content-type: application/octet-stream");
   header('Content-Disposition: attachment; filename="' . $this->db . '.sql"');
   $this->dump_db();
 } //end func
 
}
# ---------
# end class
# ---------

?>
