<?php
/**
* init.db.php
* ------------------------------------------------------------
* Package:   MyGosuClan
* Version:   1.04
* License:   GNU GPL
* Author:    cagrET (Cezary Tomczak)
* Email:     cagret at gmail.com
* Homepage:  http://www.gosu.pl/mgc/
* ------------------------------------------------------------
*/

if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

# -------------------
# connecting to mysql
# -------------------

require 'init/db.php';

if (!extension_loaded('mysql')) {
	trigger_error('mysql extension not loaded', E_USER_ERROR);
}

global $db;

$db = new DB_Sql;
$db->connect($cfg['sql_db'], $cfg['sql_host'], $cfg['sql_user'], $cfg['sql_pass']);
unset($cfg['sql_pass']);

//bla
$_sql =& $db->Link_ID;

// quotes

if (ini_get('magic_quotes_sybase')) {
    trigger_error('php.ini "magic_quotes_sybase" should be Off - sql injection possible', E_USER_ERROR);
}

if (!ini_get('magic_quotes_gpc')) {
    add_quotes_gpc($_GET);
    add_quotes_gpc($_POST);
    add_quotes_gpc($_COOKIE);
    add_quotes_gpc($_REQUEST);
}

/* Magic quotes for runtime-generated data, e.g. data from SQL, from exec(), etc. */
@ini_set('magic_quotes_runtime', 0);
/* Use Sybase-style magic quotes (escape ' with '' instead of \') */
@ini_set('magic_quotes_sybase', 0);


function add_quotes_gpc(&$data)
{
    if (is_array($data)) {
        foreach ($data as $key => $val) {
            add_quotes_gpc($data[$key]);
        }
    } else {
        $data = addslashes($data);
    }
}

?>
