<?php
/***************
 * REPLAYS.PHP *
 ***************/

if(basename(__FILE__) == basename($_SERVER['PHP_SELF'])) exit('You cannot access this file directly !');

require 'init/lib/files.lib.php';
require 'init/lib/redirect.lib.php';
require 'init/lib/html.lib.php';

function Replays()
{
  global $_sql, $cfg;
  
  /* zmienne z formularza */
  $page = &$_GET['page'];

  $type = @$_GET['type']; $map = @$_POST['map'];
  $user = @$_POST['user']; $dl = @$_POST['dl'];
  $review1 = @$_POST['review1']; $review2 = @$_POST['review2'];
  
  if($type == '1v1')
  {
    $p1 = @$_POST['p1'];  $p2 = @$_POST['p2'];
    $r1 = @$_POST['r1'];  $r2 = @$_POST['r2'];
  }
  if($type == '2v2')
  {
    $p1 = @$_POST['p1']; $p2 = @$_POST['p2'];
    $p3 = @$_POST['p3']; $p4 = @$_POST['p4'];
    $r1 = @$_POST['r1']; $r2 = @$_POST['r2'];
    $r3 = @$_POST['r3']; $r4 = @$_POST['r4'];
  }

  /* obliczamy ile jest stron */

  $query = "SELECT * FROM ".prefix."replays ";

  /* koniec searcha */
  $result = mysql_query($query, $_sql)
	  or trigger_error(sprintf('mysql_query() failed: %s. Query: %s.', mysql_error($_sql), $query), E_USER_ERROR);
  
  /* liczymy ile jest stron */
  $pages = &$GLOBALS['pages'];
  $pages = mysql_num_rows($result);
  $pages = ceil($pages / $cfg['replays']);
  if( !( $page <= $pages && $page > 0 ) ) $page = 1;
  if ($page > $pages) $page = $pages;

  $limit1 = ( $page * $cfg['replays'] ) - $cfg['replays'];
  if ($limit1 < 0) {
	$limit1 = 0;
  }
  $limit2 = $cfg['replays'];

  /* teraz to samo zapytanie co wczesniej tylko limitujemy - page */
  $query .= "ORDER BY rid DESC LIMIT $limit1,$limit2";
  $replays_result = mysql_query($query, $_sql)
	  or trigger_error(sprintf('mysql_query() failed: %s. Query: %s.', mysql_error($_sql), $query), E_USER_ERROR);

  if($replays_result)
  {
    include('templates/replays/replays.tpl');
  }
  
} //end func

function AddReplay()
/* w przypadku niepowodzenia tablica `$error` bedzie zawierala liste bledow */
{
  global $_sql, $cfg, $error;
  
  /* zmienne z formularza
     replay, type, map, description, p1, p2, p3, p4, r1, r2, r3, r4
  */
  $replay = @$_FILES['replay']['tmp_name'];
  $replay_name = @$_FILES['replay']['name'];
  $replay_type = @$_FILES['replay']['type'];
  $replay_size = @$_FILES['replay']['size'];
  /* end rep */
  $type = @$_GET['type'];  $map = @$_POST['map'];
  
  if($_SESSION['mgc']['auth'] >= $GLOBALS['auth']['member']) $description = check_nosafe(@$_POST['description']);
  else $description  = check_safe(@$_POST['description']);
  
  $p1 = check_html(@$_POST['p1']); $p2 = check_html(@$_POST['p2']);
  $r1 = check_html(@$_POST['r1']); $r2 = check_html(@$_POST['r2']);
  $p3 = '';
  $r3 = '';
  $p4 = '';
  $r4 = '';
  if($type == '2v2')
  {
    $p3 = check_html(@$_POST['p3']); $p4 = check_html(@$_POST['p4']);
    $r3 = check_html(@$_POST['r3']); $r4 = check_html(@$_POST['r4']);
  }

  /* zmienne sesyjne */
  $user = $_SESSION['mgc']['user']; $uid = $_SESSION['mgc']['uid'];

  /* */
  $date = $cfg['date'];
  $ip = get_ip();  $last_ip = '';  $dl = 0;
  $review1 = 0;  $review2 = 0;

  /* */
  include('templates/replays/text.tpl');
  
  # replay #
  /* sprawdzamy czy dobra wielkosc replaya oraz zakonczenie oraz czy jest uploadowany */
  if($replay_size > $cfg['replays_size']) $error[] .= $tpl['wrong_size'];
  if(substr($replay_name, -4) != $cfg['replays_ext']) $error[] .= $tpl['wrong_replay_name'];
  if(!is_uploaded_file($replay)) $error[] .= $tpl['hack_replay'];

  # type #
  /* sprawdzamy czy typ gry jest poprawny */
  $types = array('1v1', '2v2');
  if(!in_array($type, $types)) $error[] .= $tpl['wrong_type'];

  # map #
  /* sprawdzamy czy mapa jest poprawna */
  $maps = $cfg['replays_maps'];
  if(!in_array($map,$maps)) $error[] .= $tpl['wrong_map'];
  
  # races #
  /* sprawdzamy czy rasy sa poprawne */
  $temp_races = $GLOBALS['cfg']['replays_races'];
  
  foreach($temp_races as $key => $value)
  {
    $races[] = $key;
  }
  if($type == '1v1')
  {
    if(!in_array($r1, $races) || !in_array($r2, $races)) $error[] .= $tpl['wrong_races'];
  }
  if($type == '2v2')
  {
    if(!in_array($r1, $races) || !in_array($r2, $races) || !in_array($r3, $races) || !in_array($r4, $races))
    {
      $error[] .= $tpl['wrong_races'];
    }
  }
  
  # players #
  /* sprawdzamy czy wszyscy gracze sa wpisani */
  if($type == '1v1')
  {
    if(!$p1 || !$p2) $error[] .= $tpl['wrong_players'];

  }
  if($type == '2v2')
  {
    if(!$p1 || !$p2 || !$p3 || !$p4) $error[] .= $tpl['wrong_players'];
  }

  if(!$error)
  {
    /* sprawdzamy czy nie double replay */
    $query = "SELECT MAX(rid) as max FROM ".prefix."replays WHERE uid='$uid' AND user='$user'";
    $result = mysql_query($query ,$_sql);
    
    if($result) $row = mysql_fetch_object($result);

    $query = "SELECT * FROM ".prefix."replays WHERE rid='$row->max' AND p1='$p1'AND p2='$p2' AND p3='$p3' AND p4='$p4' AND r1='$r1' AND r2='$r2' AND r3='$r3' AND r4='$r4' AND type='$type' AND map='$map' AND description='$description'";
    $result = mysql_query($query, $_sql);

    if($result) $num = mysql_num_rows($result);
    if(!$result || $num !== 0) $error[] .= $tpl['double_replay'];
  }

  if(!$error)
  {
    /* dodanie replaya do bazy */
    $query = "INSERT INTO ".prefix."replays SET p1='$p1', p2='$p2', p3='$p3', p4='$p4', r1='$r1', r2='$r2', r3='$r3', r4='$r4', type='$type', map='$map', description='$description', uid='$uid', user='$user', date='$date', ip='$ip'";
    $result = mysql_query($query, $_sql);
  }

  if(!$error && $result)
  {
    /* uploadowanie replaya */
    $rid = mysql_insert_id($_sql);
    $url = $cfg['replays_dir'] . $rid . $cfg['replays_ext'];
    move_uploaded_file($replay, $url);
    chmod($url, 0644);
    redirectTo(basename($_SERVER['PHP_SELF']) . "?sub=replays");
  }

} //end func


####################################################################
#                       // END FUNCTIONS                           #
####################################################################

/********************************/
if(@$_GET['action'] == 'addreplay' && @$_POST['submit'] && ($_SESSION['mgc']['auth'] >= $GLOBALS['auth']['member'])) AddReplay();
/********************************/

if(@$_GET['action'] == 'addreplay' && ($_SESSION['mgc']['auth'] >= $GLOBALS['auth']['member']) )
{
  if(@$_GET['type'] == '2v2') include('templates/replays/form_addreplay2v2.tpl');
  else include('templates/replays/form_addreplay.tpl');
}
else Replays();

?>
